## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/qmc2/qmc2-mame-fe/
#global commit 2cc9d99fbff31c03a78c7b9698ced54eae61495c

Version:        0.243

%forgemeta

Name:           qmc2
Release:        %autorelease
Summary:        M.A.M.E. Catalog / Launcher II

#PDF.js is ASL 2.0
#data/js/pdfjs/web/l10n.js is MIT
#everything else is GPLv2
License:        GPLv2 and ASL 2.0 and MIT
URL:            http://qmc2.batcom-it.net
Source0:        %{forgesource}
#Fedora-specific configuration
Patch1:         %{name}-ini.patch
#Fixes and improvements from upstream git
Patch10:        0001-fix-MachineListDatabase-wasn-t-saved-to-qmc2.ini.patch
Patch11:        0001-new-added-a-Brasilian-Portuguese-translation-thanks-.patch
Patch12:        0001-imp-added-Ubuntu-22.04-build-configuration.patch
Patch13:        0001-imp-removed-ancient-build-configs.patch
Patch14:        0001-imp-Added-history.xml-support-and-use-XML-parser-to-.patch
Patch15:        0002-imp-Updated-Fedora-and-Ubuntu-build-configurations.-.patch
Patch16:        0007-imp-Updated-bundled-libraries-to-their-current-upstr.patch
Patch17:        0008-imp-Replaced-custom-XML-parsing-with-QXmlStreamReade.patch
Patch18:        0001-imp-Updated-SDL-to-2.30.3-LZMA-SDK-to-25.06-and-mini.patch

BuildRequires:  desktop-file-utils
BuildRequires:  git
BuildRequires:  libarchive-devel
BuildRequires:  libXmu-devel
BuildRequires:  make
BuildRequires:  minizip-ng-compat-devel
BuildRequires:  qt5-linguist
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  qt5-qtscript-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qtxmlpatterns-devel
BuildRequires:  rsync
BuildRequires:  SDL2-devel
Requires:       games-menus
Provides:       bundled(lzma-sdk) = 24.06
Provides:       PDF.js = 3f320f0b

%description
A Qt based multi-platform GUI front-end for MAME.


%package -n qchdman
Summary:        Qt CHDMAN GUI
License:        GPLv2
Requires:       mame-tools

%description -n qchdman
A stand-alone graphical user interface / front-end to chdman


%package arcade
Summary:        Arcade QMC2 GUI
License:        GPLv2

%description arcade
A QML-based standalone graphical arcade mode binary which utilizes the cached
data of qmc2 to quickly display and launch emulators and get you "straight into
the games"


%prep
%forgeautosetup -p1 -S git
#ensure system minizip and zlib are used
rm -rf src/minizip
rm -rf src/zlib
#fix opening documentation from the menu
sed -i s@doc/html/@doc/@ src/qmc2main.cpp


%build
#https://bugzilla.redhat.com/show_bug.cgi?id=1998742
%make_build DISTCFG=1 CC_FLAGS="$RPM_OPT_FLAGS" CXX_FLAGS="$RPM_OPT_FLAGS" \
    L_FLAGS="$RPM_LD_FLAGS" \
    SYSTEM_MINIZIP=1 \
    SYSTEM_ZLIB=1 LIBARCHIVE=1 GIT_REV=0
%make_build arcade DISTCFG=1 CC_FLAGS="$RPM_OPT_FLAGS" CXX_FLAGS="$RPM_OPT_FLAGS" \
    L_FLAGS="$RPM_LD_FLAGS"  \
    SYSTEM_MINIZIP=1 \
    SYSTEM_ZLIB=1 LIBARCHIVE=1 GIT_REV=0
%make_build qchdman DISTCFG=1 CXX_FLAGS="$RPM_OPT_FLAGS" L_FLAGS="$RPM_LD_FLAGS" \
    GIT_REV=0
%make_build doc DISTCFG=1


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT DISTCFG=1 PREFIX=%{_prefix}
make arcade-install DESTDIR=$RPM_BUILD_ROOT DISTCFG=1 PREFIX=%{_prefix}
make qchdman-install DESTDIR=$RPM_BUILD_ROOT DISTCFG=1 PREFIX=%{_prefix}
make doc-install DESTDIR=$RPM_BUILD_ROOT DISTCFG=1 MAN_DIR=%{_mandir}

#remove docs since we are installing docs in %%doc
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -fr doc
ln -s %{_docdir}/%{name} doc
popd

#validate the desktop files
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/qmc2-sdlmame.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/qmc2-arcade.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/qchdman.desktop


%files
%doc data/doc/html/*
%license data/doc/html/us/copying.html data/js/pdfjs/LICENSE
%config(noreplace) %{_sysconfdir}/qmc2
%{_bindir}/qmc2
%{_bindir}/qmc2-sdlmame
%{_datadir}/applications/qmc2-sdlmame.desktop
%{_mandir}/man6/qmc2-main-gui.6*
%{_mandir}/man6/qmc2-sdlmame.6*
%{_mandir}/man6/qmc2.6*
%{_datadir}/qmc2

%files arcade
%license data/doc/html/us/copying.html
%{_bindir}/qmc2-arcade
%{_datadir}/applications/qmc2-arcade.desktop
%{_mandir}/man6/qmc2-arcade.6*

%files -n qchdman
%license data/doc/html/us/copying.html
%{_bindir}/qchdman
%{_datadir}/applications/qchdman.desktop
%{_mandir}/man6/qchdman.6*


%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Julian Sikorski <belegdol@fedoraproject.org> - 0.243-12
- Update bundled lzma-sdk to 24.06

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.243-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Mar 27 2024 Julian Sikorski <belegdol@fedoraproject.org> - 0.243-10
- Improvements to upstream git patches:
- Add patches updating build configurations
- Update patches based on PRs to their respective final versions

* Thu Feb 29 2024 Julian Sikorski <belegdol@fedoraproject.org> - 0.243-9
- Fixes from upstream git:
- add history.xml support
- fix machine list DB not being saved to qmc2.ini
- update bundled LZMA SDK to 23.01
- replace manual XML parsing with QXmlStreamReader

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.243-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.243-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 04 2023 Lukas Javorsky <ljavorsk@redhat.com> - 0.243-6
- Rebuilt for minizip-ng transition Fedora change

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.243-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.243-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Nov 24 2022 Julian Sikorski <belegdol@fedoraproject.org> - 0.243-3
- Re-enable system minizip on Fedora 38 and above

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.243-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Apr 29 2022 Julian Sikorski <belegdol@fedoraproject.org> - 0.243-1
- Update to 0.243

* Thu Apr 21 2022 Julian Sikorski <belegdol@fedoraproject.org> - 0.242-4
- Fix opening documentation from the menu

* Wed Apr 06 2022 Julian Sikorski <belegdol@fedoraproject.org> - 0.242-3
- Fix issues with bundled minizip

* Mon Apr 04 2022 Julian Sikorski <belegdol@fedoraproject.org> - 0.242-2
- Switch to bundled minizip until system one is fixed

* Sat Apr 02 2022 Julian Sikorski <belegdol@fedoraproject.org> - 0.242-1
- Update to 0.242 and overhaul the .spec file
- Update to 0.242
- Drop upstreamed patches
- Update BuildRequires to Qt 5
- Switch to github sources and enable %%%%forgemeta
- Stop defaulting to opengl video to match upstream mame
- Drop QT_TRANSLATION parameter from make install calls, it has been
  unsupported since version 0.60 released back in January 2016

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.195-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug 27 2021 Julian Sikorski <belegdol+github@gmail.com> - 0.195-20
- Fix qmake detection on rawhide

* Sun Aug 01 2021 Julian Sikorski <belegdol@fedoraproject.org> - 0.195-19
- Fedora is now Fedora Linux

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.195-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Apr 27 2021 Julian Sikorski <belegdol@fedoraproject.org> - 0.195-17
- Fix qmake detection on rawhide

* Tue Feb 09 2021 Miro Hrončok <mhroncok@redhat.com> - 0.195-16
- Rebuilt for minizip 3.0.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.195-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Aug 17 2020 Julian Sikorski <belegdol@fedoraproject.org> - 0.195-14
- Fix qmake detection on rawhide

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.195-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Mar 04 2020 Julian Sikorski <belegdol@fedoraproject.org> - 0.195-12
- Fix qmake detection on rawhide

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.195-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 06 2020 Julian Sikorski <belegdol@fedoraproject.org> - 0.195-10
- Fix listxml parsing for MAME 0.217 and newer using a patch from upstream SVN

* Thu Sep 05 2019 Julian Sikorski <belegdol@fedoraproject.org> - 0.195-9
- Fix qmake detection on rawhide

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.195-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Mar 28 2019 Julian Sikorski <belegdol@fedoraproject.org> - 0.195-7
- Fix qmake detection on rawhide

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.195-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Oct 20 2018 Julian Sikorski <belegdol@fedoraproject.org> - 0.195-5
- Add patch migrating to the new minizip package

* Fri Sep 07 2018 Julian Sikorski <belegdol@fedoraproject.org> - 0.195-4
- Fixed qmake detection on rawhide

* Tue Aug 28 2018 Patrik Novotný <panovotn@redhat.com> - 0.195-3
- change requires to minizip-compat(-devel), rhbz#1609830, rhbz#1615381

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.195-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 09 2018 Julian Sikorski <belegdol@fedoraproject.org> - 0.195-1
- Updated to 0.195

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.192-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Dec 02 2017 Julian Sikorski <belegdol@fedoraproject.org> - 0.192-1
- Updated to 0.192

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.187-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.187-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 03 2017 Julian Sikorski <belegdol@fedoraproject.org> - 0.187-1
- Updated to 0.187

* Sun Jun 18 2017 Julian Sikorski <belegdol@fedoraproject.org> - 0.186-1
- Updated to 0.186
- Updated the -ini patch

* Wed Feb 22 2017 Julian Sikorski <belegdol@fedoraproject.org> - 0.183-1
- Updated to 0.183
- Updated the -ini patch

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.71-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 27 2017 Julian Sikorski <belegdol@fedoraproject.org> - 0.71-1
- Updated to 0.71
- Bundled lzma-sdk is now at 16.04
- PDF.js is now at 76b4c8fa

* Thu Dec 01 2016 Julian Sikorski <belegdol@fedoraproject.org> - 0.70-1
- Updated to 0.70

* Fri Oct 28 2016 Julian Sikorski <belegdol@fedoraproject.org> - 0.69-1
- Updated to 0.69

* Fri Sep 30 2016 Julian Sikorski <belegdol@fedoraproject.org> - 0.68-1
- Updated to 0.68
- Updated description as per upstream suggestions
- Added libarchive support

* Sat Sep 03 2016 Julian Sikorski <belegdol@fedoraproject.org> - 0.67-1
- Updated to 0.67

* Wed Jul 27 2016 Julian Sikorski <belegdol@fedoraproject.org> - 0.66-1
- Updated to 0.66
- Dropped included patches

* Wed Jul 13 2016 Julian Sikorski <belegdol@fedoraproject.org> - 0.65-4
- Fixed warning in generated man pages
- Updated %%description spelling to front-end to silence rpmlint

* Tue Jul 12 2016 Julian Sikorski <belegdol@fedoraproject.org> - 0.65-3
- Patched to use system-wide minizip and zlib
- Added comments clarifying patches' purpuse
- Corrected the License tags
- Fixed online documentation symlink
- Added qmc2-arcade

* Fri Jul 08 2016 Julian Sikorski <belegdol@fedoraproject.org> - 0.65-2
- Fixed old changelog entries
- Tagged copying.html as %%license
- Modernised the SPEC file
- Dropped ancient Provides/Obsoletes
- Worked around lack of F25 config
- Ensured $RPM_OPT_FLAGS and $RPM_LD_FLAGS are used
- Applied some build fixes from upstream svn

* Sun Jul 03 2016 Julian Sikorski <belegdol@fedoraproject.org> - 0.65-1
- Updated to 0.65

* Wed Apr 27 2016 Julian Sikorski <belegdol@fedoraproject.org> - 0.63-1
- Updated to 0.63

* Thu Apr 07 2016 Julian Sikorski <belegdol@fedoraproject.org> - 0.62-1
- Updated to 0.62
- Updated the -ini patch

* Sat Mar 12 2016 Julian Sikorski <belegdol@fedoraproject.org> - 0.61-1
- Updated to 0.61

* Thu Jan 28 2016 Julian Sikorski <belegdol@fedoraproject.org> - 0.60-1
- Updated to 0.60

* Thu Dec 31 2015 Julian Sikorski <belegdol@fedoraproject.org> - 0.59-1
- Updated to 0.59
- Switched to SDL2

* Fri Nov 27 2015 Julian Sikorski <belegdol@fedoraproject.org> - 0.58-1
- Updated to 0.58
- Updated the URL

* Fri Oct 30 2015 Julian Sikorski <belegdol@fedoraproject.org> - 0.57-1
- Updated to 0.57
- Dropped the dat files from ini patch now that mame-data-extras is retired

* Thu Oct 01 2015 Julian Sikorski <belegdol@fedoraproject.org> - 0.56-1
- Updated to 0.56

* Sat Aug 29 2015 Julian Sikorski <belegdol@fedoraproject.org> - 0.55-1
- Updated to 0.55

* Thu Jul 30 2015 Julian Sikorski <belegdol@fedoraproject.org> - 0.54-1
- Updated to 0.54
- Dropped upstreamed patch
- Updated the -ini patch

* Tue Jul 07 2015 Julian Sikorski <belegdol@fedoraproject.org> - 0.53-1
- Updated to 0.53
- Dropped -sdlmess subpackage
- Added man pages
- Cleaned up the spec file slightly
- Updated the default configuration

* Tue Mar 31 2015 Julian Sikorski <belegdol@fedoraproject.org> - 0.50-1
- Updated to 0.50
- Switched to use history.dat instead of sysinfo.dat by default

* Thu Feb 26 2015 Julian Sikorski <belegdol@fedoraproject.org> - 0.49-1
- Updated to 0.49

* Sun Feb 01 2015 Julian Sikorski <belegdol@fedoraproject.org> - 0.48-1
- Updated to 0.48

* Sat Jan 03 2015 Julian Sikorski <belegdol@fedoraproject.org> - 0.47-1
- Updated to 0.47

* Sat Nov 29 2014 Julian Sikorski <belegdol@fedoraproject.org> - 0.46-1
- Updated to 0.46

* Sat Oct 18 2014 Julian Sikorski <belegdol@fedoraproject.org> - 0.45-1
- Updated to 0.45

* Sun Aug 03 2014 Julian Sikorski <belegdol@fedoraproject.org> - 0.44-1
- Updated to 0.44

* Sat Apr 26 2014 Julian Sikorski <belegdol@fedoraproject.org> - 0.43-1
- Updated to 0.43
- Updated the ini patch to use category.ini supplied with qmc2 by default
- Added bundled(lzma-sdk) = 9.22 to Provides

* Thu Jan 09 2014 Julian Sikorski <belegdol@fedoraproject.org> - 0.42-1
- Updated to 0.42

* Sun Nov 10 2013 Julian Sikorski <belegdol@fedoraproject.org> - 0.41-1
- Updated to 0.41

* Thu Sep 19 2013 Julian Sikorski <belegdol@fedoraproject.org> - 0.40-1
- Updated to 0.40
- cheat_file → cheatpath

* Mon Jun 17 2013 Julian Sikorski <belegdol@fedoraproject.org> - 0.39-1
- Updated to 0.39
- Added qchdman
- Fixed Source0 URL

* Sat Jan 12 2013 Julian Sikorski <belegdol@fedoraproject.org> - 0.38-1
- Updated to 0.38
- Updated the ini patch

* Fri Sep 21 2012 Julian Sikorski <belegdol@fedoraproject.org> - 0.37-1
- Updated to 0.37
- Updated the ini patch
- SDLMAME/SDLMESS have been gone for a while, so just use them internally
- Require mame/mess since the compatibility provides were dropped
- Updated summaries

* Tue May 22 2012 Julian Sikorski <belegdol@fedoraproject.org> - 0.36-1
- Updated to 0.36

* Thu Mar 08 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.35-3
- Rebuilt for c++ ABI breakage

* Thu Feb 09 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 06 2012 Julian Sikorski <belegdol@fedoraproject.org> - 0.35-1
- Updated to 0.35
- Updated the ini patch
- Made the inter-subpackage dependencies arch-specific

* Tue Nov 15 2011 Julian Sikorski <belegdol@fedoraproject.org> - 0.34-1
- Updated to 0.34 (new versioning scheme)
- Dropped obsolete Group, Buildroot, %%clean and %%defattr

* Wed Jun 29 2011 Julian Sikorski <belegdol@fedoraproject.org> - 0.2-0.24.b20
- Updated to 0.2b20
- Updated the ini patch

* Sun Apr 03 2011 Julian Sikorski <belegdol@fedoraproject.org> - 0.2-0.23.b19
- Updated to 0.2b19

* Thu Jan 13 2011 Julian Sikorski <belegdol@fedoraproject.org> - 0.2-0.22.b18
- Updated to 0.2b18

* Fri Oct 22 2010 Julian Sikorski <belegdol@fedoraproject.org> - 0.2-0.21.b17
- Updated to 0.2b17
- Added Fedora 15 config

* Fri Jul 30 2010 Julian Sikorski <belegdol@fedoraproject.org> - 0.2-0.20.b16
- Updated to 0.2b16

* Sun May 16 2010 Julian Sikorski <belegdol@fedoraproject.org> - 0.2-0.19.b15
- Updated to 0.2b15
- Updated the ini template patch to include Catver.ini
- s/qt4-devel/qt-webkit-devel due to changes in qt package

* Mon Mar 15 2010 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.18.b14
- Updated to 0.2b14
- Dropped --fno-var-tracking-assignments

* Sat Jan 02 2010 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.17.b13
- Updated to 0.2b13
- Dropped the cflags patch
- Dropped the additional Fedora configs

* Sat Nov 21 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.16.b12
- Updated to 0.2b12
- Worked around RH bug 532763 for Fedora 12 and above
- Added Fedora 12 and Fedora 13 configs

* Fri Sep 11 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.15.b11
- Updated to 0.2b11
- Updated the ini patch
- Dropped F12 rawhide workaround

* Mon Jul 20 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.14.b10
- Updated to 0.2b10
- Added F12 rawhide config

* Mon Jun 08 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.13.b9
- Updated to 0.2b9

* Thu Apr 23 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.12.b8
- Updated to 0.2b8
- Updated the ini patch
- Dropped the upstreamed gcc44 patch
- Dropped the F11 Beta workaround

* Mon Mar 30 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.11.b7
- Handle the template properly
- Updated the configs for Fedora 11 Beta

* Sun Mar 29 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.2-0.10.b7
- rebuild for new F11 features

* Mon Mar 09 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.9.b7
- Updated to 0.2b7
- Dropped the rawhide fedora-release workaround
- Overhauled for sdlmess support
- Desktop files now come with the tarball and use the shipped icon
- Updated Summary and %%description (M.A.M.E. → M.A.M.E./M.E.S.S.)
- Updated the ini patch
- Avoid installing qmc2.ini.new
- Dropped hicolor-icon-theme from Requires
- Switched to system-wide Qt translations
- No longer force Windows Qt style
- Updated the URL
- Added libXmu-devel to BuildRequires
- Added gcc-4.4 fix from SVN

* Mon Jan  5 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.8.b6
- Updated to 0.2b6
- Updated the ini patch
- Updated the rawhide fedora-relase workaround
- Added PRETTY=0 to compilation flags

* Thu Oct 16 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.7.b5
- Updated to 0.2b5

* Tue Aug 19 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.6.b4
- Added phonon-devel to BuildRequires
- Cleaned up BuildRequires and Requires

* Tue Aug 19 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.5.b4
- Updated to 0.2b4

* Wed Jul 30 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info - 0.2-0.4.b3
- rebuild for buildsys cflags issue

* Mon Jul  7 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.3.b3
- Updated to 0.2b3
- Dropped the qt4 patch, use DISTCFG instead
- Updated the ini patch to include dat files location
- Added SDL-devel to BuildRequires

* Sat May 10 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.2.b2
- Updated to 0.2b2
- Dropped %%{?dist} from %%changelog
- Added hyphen before version number in %%changelog

* Wed Mar 26 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2-0.1.b1
- Updated to 0.2b1
- Dropped the ini fix since it has been merged upstream

* Sat Feb 23 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1-4
- Updated the inipaths to reflect the post-0.123u1 SDLMAME configuration

* Sat Feb 23 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1-3
- Replaced the previous workaround with a proper fix from upstream

* Mon Feb 11 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1-2
- Updated the ini path to fix import/export feature

* Wed Feb  6 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1-1
- Upstream sync

* Thu Jan 31 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1-0.10.b11
- Upstream sync
- Drop backup files deletion, there are none present
- Adjusted the License tag
- Fixed the executable permissions

* Mon Jul 30 2007 XulChris <tkmame@retrogames.com> - 0.1-0.9.b10
- Upstream sync
- Remove no longer needed qt43 patch

* Mon Jul 02 2007 XulChris <tkmame@retrogames.com> - 0.1-0.8.b9
- Add patch to fix Qt-4.3 segmentation fault

* Sun Apr 22 2007 XulChris <tkmame@retrogames.com> - 0.1-0.7.b9
- Remove style from desktop file and add it to ini file instead
- Dribble Bugzilla #89

* Fri Mar 30 2007 XulChris <tkmame@retrogames.com> - 0.1-0.6.b9
- Upstream sync
- Remove no longer needed datadir patch

* Sun Mar 11 2007 XulChris <tkmame@retrogames.com> - 0.1-0.5.b8
- Update desktop category
- Include new paths in ini file
- Add patch to fix DATADIR parsing in Makefile

* Fri Feb 23 2007 XulChris <tkmame@retrogames.com> - 0.1-0.4.b8
- Upstream sync
- Update Source0 URL
- Remove patches which are now included in upstream
- Move creation of desktop file to %%prep
- Sync ini patch with new ini template

* Wed Jan 31 2007 XulChris <tkmame@retrogames.com> - 0.1-0.3.b7
- Fix ini patch

* Wed Jan 17 2007 XulChris <tkmame@retrogames.com> - 0.1-0.2.b7
- Make opengl default video mode
- Remove macros from Patch tags
- Move creation of .desktop file into %%build
- Fix Categories field in .desktop file
- Remove Version field from .desktop file
- Fix documentation

* Sun Dec 24 2006 XulChris <tkmame@retrogames.com> - 0.1-0.1.b7
- Initial Release

## END: Generated by rpmautospec
